    import {AlternateRows} from 'TableFilter/src/modules/alternateRows.js'

public class | source

# AlternateRows

## Constructor Summary

Public Constructor
public | constructor (tf: Object) Alternating rows color |

## Member Summary

Public Members
public | evenCss : * |
public | oddCss : * |
public | tf : * |

## Method Summary

Public Methods
public | disable () |
public | enable () |
public | init () Sets alternating rows color |
public | remove () Removes all alternating backgrounds |
public | removeRowBg (idx: Number) Removes row background color |
public | setRowBg (rowIdx: Number, idx: Number) Sets row background color |

## Public Constructors

### public constructor(tf: Object) source

Alternating rows color

#### Params:

Name | Type | Attribute | Description
tf | Object |  | TableFilter instance

## Public Members

### public evenCss: * source

### public oddCss: * source

### public tf: * source

## Public Methods

### public disable() source

### public enable() source

### public init() source

Sets alternating rows color

### public remove() source

Removes all alternating backgrounds

### public removeRowBg(idx: Number) source

Removes row background color

#### Params:

Name | Type | Attribute | Description
idx | Number |  | Row index

### public setRowBg(rowIdx: Number, idx: Number) source

Sets row background color

#### Params:

Name | Type | Attribute | Description
rowIdx | Number |  | Row index
idx | Number |  | Valid rows collection index needed to calculate bg color